#!/bin/bash

set -x

Fusionstack="spc-57 spc-58 spc-59"
node1=spc-57
node2=spc-58
node3=spc-59

echo '*********************** Setp[1]: Prepare ************************'
lich stop
for node in $Fusionstack;
do
        echo $node
        ssh $node 'iptables -F'
        ssh $node 'mkdir -p /home/log'
        ssh $node 'mv -f /opt/fusionstack/log /home/log/log_`date +%s`'
        ssh $node 'rm -rf /opt/fusionstack/data/*'
        ssh $node 'rm -rf /opt/fusionstack/etc/cluster.conf'
        ssh $node 'rm -rf /dev/shm/lich4/*'
        ssh $node 'rm -rf /opt/fusionstack/core/*'
        ssh $node 'rm -rf /dev/huagepages/*'

        ssh $node "bash /root/ln.sh"
done
sleep 10


echo '*********************** Setp[2]: Create Cluster ************************'
/opt/fusionstack/lich/bin/lich create $Fusionstack
sleep 20
lich stat


echo '*********************** Setp[3]: Create Volume ************************'
while [ 1 ]
do
        lichbd mkpool pool -p iscsi
        echo $?
        if [ $? -eq 0 ]; then
                break;
        elif [ $? -eq 17 ]; then
                break;
        fi

        sleep 5
done

for i in {0..5};  do lichbd create pool/volume$i -s 64G  -p iscsi;done
for i in {6..11}; do lichbd create pool/volume$i -s 288G -p iscsi;done
for i in {12..17};do lichbd create pool/volume$i -s 288G -p iscsi;done


for i in {18..23};do lichbd create pool/volume$i -s 288G -p iscsi;done
for i in {24..29};do lichbd create pool/volume$i -s 64G  -p iscsi;done
for i in {30..35};do lichbd create pool/volume$i -s 288G -p iscsi;done


for i in {36..41};do lichbd create pool/volume$i -s 288G -p iscsi;done
for i in {42..47};do lichbd create pool/volume$i -s 288G -p iscsi;done
for i in {48..53};do lichbd create pool/volume$i -s 64G  -p iscsi;done

sleep 20
echo 'create volume success'


echo '*********************** Step[4]: Allocate Volume ************************'
for vol in $(lichfs --list /iscsi/pool |awk '{print $NF}');
do  
		lich.inspect --allocate /iscsi/pool/$vol
done

while [ 1 ]
do
        incomplete=0
		for node in $Fusionstack
		do
                ssh $node1 'ps aux | grep "lich.inspect --allocate" | grep -v "grep"'
                if [ $? -eq 0 ]; then
                        let incomplete=$((incomplete+1))
                fi
		done

        if [ $incomplete -eq 0 ]; then
                break;
        fi
done
echo "Allocate Complete."
